import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DataLogs } from '../../entityRecord/dataLogs.entity';
type modelType = ReturnModelType<typeof DataLogs>;
@Provide()
export class DataLogsService extends BaseService<modelType> {
  @InjectEntityModel(DataLogs)
  model: modelType;
}
