const codes = {
  '-1': '未知错误',
  '-2': '缺少params',
  '-20': 'params错误',
  '-3': '缺少query',
  '-30': '缺少query错误',
  '-4': '缺少body',
  '-40': 'body错误',
  '-5': '需要参数',
  '-50': '参数错误',
  '-10': '未找到数据',
  '-100': '服务发生错误',
  '-500': '请求错误',
  '-3000': 'ElasticSearch发生错误',
  '-3001': 'ElasticSearch发生错误,未找到索引',
  '400': '服务发生错误',
  '400-1': '功能暂不开放',
  '401': '您没有当前功能的权限!',
  '401-1': '未找到用户',
  '401-2': '密码错误',
  '401-3': '未检测到登录信息,请重新登录!',
  '401-4': '账号登录已失效,请重新登录!',
  '401-5': '本账号已在其他地方登录,请重新登录!',
  '401-6': '该用户已被禁用',
  '401-7': '当前角色下的用户无法使用',
};
const errCodes = {};
const prefix = 'FRAMEERROR_';
for (const key in codes) {
  errCodes[`${prefix}${key}`] = codes[key];
}

export default {
  locale: '错误测试: {locale}',
  ...errCodes,
};
